CONFIG +=			release \
					warn_on \
					qt \
					thread 

TEMPLATE =			app
DESTDIR =			bin

CONFIG(debug, debug|release) {
	TARGET =		validation2dmisd
} else {
	TARGET =		validation2dmis
}

OBJECTS_DIR =		build/obj
MOC_DIR =			build/moc

QT +=				core \
					gui

greaterThan(QT_MAJOR_VERSION, 4): {
QT +=				widgets

}

# DEPENDPATH +=		<relative path>/lib
# INCLUDEPATH +=	<relative path>/src
# LIBS+=			-L<relative path>/lib -l<library name>

SOURCES +=			../core/vector3.cpp \
					src/main.cpp \
					src/preferencesdialog.cpp \
					src/validation2dmis.cpp

HEADERS +=			../core/vector3.h \
					src/preferencesdialog.h \
					src/validation2dmis.h

RESOURCES +=		res/validation2dmis.qrc

macx{

# ICON =			res/icons.icns
OBJECTIVE_SOURCES += ../core/nspool.mm
HEADERS += 			../core/nspool.mm
LIBS +=				-framework AppKit -framework Cocoa

QMAKE_INFO_PLIST = ../default_data/Info.plist
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/validation2dmis
}
target.path =		$$PREFIX
target.files =		bin/validation2dmis
INSTALLS +=			target

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/validation2dmis
}

win32 {
# RC_FILE =			res/resource.rc
}
